Ice Reference Documentation
<<< Previous | Properties | Next >>>

# IcePack Properties

## IcePack.Registry.Client.Endpoints

### Synopsis

    IcePack.Registry.Client.Endpoints=endpoints

### Description

Defines the endpoints of the IcePack client interface. The client endpoints must be accessible to Ice clients that are using IcePack to locate objects (see `Ice.Default.Locator`).

## IcePack.Registry.Client.PublishedEndpoints

### Synopsis

    IcePack.Registry.Client.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IcePack client interface. The client endpoints must be accessible to Ice clients that are using IcePack to locate objects (see `Ice.Default.Locator`). Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IcePack.Registry.Client.ThreadPool.Size

### Synopsis

    IcePack.Registry.Client.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IcePack.Registry.Client`.

## IcePack.Registry.Client.ThreadPool.SizeMax

### Synopsis

    IcePack.Registry.Client.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IcePack.Registry.Client`.

## IcePack.Registry.Client.ThreadPool.SizeWarn

### Synopsis

    IcePack.Registry.Client.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IcePack.Registry.Client`.

## IcePack.Registry.Server.Endpoints

### Synopsis

    IcePack.Registry.Server.Endpoints=endpoints

### Description

Defines the endpoints of the IcePack server interface. The server endpoints must be accessible to Ice servers that are using IcePack to register their object adapter endpoints.

## IcePack.Registry.Server.PublishedEndpoints

### Synopsis

    IcePack.Registry.Server.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IcePack server interface. The server endpoints must be accessible to Ice servers that are using IcePack to register their object adapter endpoints. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IcePack.Registry.Server.ThreadPool.Size

### Synopsis

    IcePack.Registry.Server.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IcePack.Registry.Server`.

## IcePack.Registry.Server.ThreadPool.SizeMax

### Synopsis

    IcePack.Registry.Server.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IcePack.Registry.Server`.

## IcePack.Registry.Server.ThreadPool.SizeWarn

### Synopsis

    IcePack.Registry.Server.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IcePack.Registry.Server`.

## IcePack.Registry.Admin.Endpoints

### Synopsis

    IcePack.Registry.Admin.Endpoints=endpoints

### Description

Defines the optional administrative endpoints of the IcePack admin interface. The administrative endpoints must be accessible to clients which are using the IcePack administrative interface, such as the IcePack administrative tool.

| Allowing access to the IcePack admin interface is a security risk! If this property is not defined, the admin interface is disabled.

## IcePack.Registry.Admin.PublishedEndpoints

### Synopsis

    IcePack.Registry.Admin.PublishedEndpoints=endpoints

### Description

Defines the optional administrative published endpoints of the IcePack admin interface. The administrative endpoints must be accessible to clients which are using the IcePack administrative interface, such as the IcePack administrative tool. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

| Allowing access to the IcePack admin interface is a security risk!

## IcePack.Registry.Admin.ThreadPool.Size

### Synopsis

    IcePack.Registry.Admin.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IcePack.Registry.Admin`.

## IcePack.Registry.Admin.ThreadPool.SizeMax

### Synopsis

    IcePack.Registry.Admin.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IcePack.Registry.Admin`.

## IcePack.Registry.Admin.ThreadPool.SizeWarn

### Synopsis

    IcePack.Registry.Admin.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IcePack.Registry.Admin`.

## IcePack.Registry.Internal.Endpoints

### Synopsis

    IcePack.Registry.Internal.Endpoints=endpoints

### Description

Defines the endpoints of the IcePack internal interface. The internal endpoints must be accessible to IcePack nodes. Nodes use this interface to communicate with the registry.

## IcePack.Registry.Internal.PublishedEndpoints

### Synopsis

    IcePack.Registry.Internal.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IcePack internal interface. The internal endpoints must be accessible to IcePack nodes. Nodes use this interface to communicate with the registry. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IcePack.Registry.Internal.ThreadPool.Size

### Synopsis

    IcePack.Registry.Internal.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IcePack.Registry.Internal`.

## IcePack.Registry.Internal.ThreadPool.SizeMax

### Synopsis

    IcePack.Registry.Internal.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IcePack.Registry.Internal`.

## IcePack.Registry.Internal.ThreadPool.SizeWarn

### Synopsis

    IcePack.Registry.Internal.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IcePack.Registry.Internal`.

## IcePack.Registry.Data

### Synopsis

    IcePack.Registry.Data=path

### Description

Defines the path of the IcePack registry data directory.

## IcePack.Registry.DynamicRegistration

### Synopsis

    IcePack.Registry.DynamicRegistration=num

### Description

If `num` is set to a value larger than zero, the locator registry allows Ice servers to set endpoints for object adapters that have not been previously registered.

## IcePack.Registry.Trace.ServerRegistry

### Synopsis

    IcePack.Registry.Trace.ServerRegistry=num

### Description

The server registry trace level:

0 | No server registry trace. (default)
1 | Trace server registration, removal.

## IcePack.Registry.Trace.AdapterRegistry

### Synopsis

    IcePack.Registry.Trace.AdapterRegistry=num

### Description

The object adapter registry trace level:

0 | No object adapter registry trace. (default)
1 | Trace object adapter registration, removal.

## IcePack.Registry.Trace.NodeRegistry

### Synopsis

    IcePack.Registry.Trace.NodeRegistry=num

### Description

The node registry trace level:

0 | No node registry trace. (default)
1 | Trace node registration, removal.

## IcePack.Registry.Trace.ObjectRegistry

### Synopsis

    IcePack.Registry.Trace.ObjectRegistry=num

### Description

The object registry trace level:

0 | No object registry trace. (default)
1 | Trace object registration, removal.

## IcePack.Node.Endpoints

### Synopsis

    IcePack.Node.Endpoints=endpoints

### Description

Defines the endpoints of the IcePack node interface. The node endpoints must be accessible to the IcePack registry. The registry uses this interface to communicate with the node.

## IcePack.Node.PublishedEndpoints

### Synopsis

    IcePack.Node.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IcePack node interface. The node endpoints must be accessible to the IcePack registry. The registry uses this interface to communicate with the node. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IcePack.Node.Name

### Synopsis

    IcePack.Node.Name=name

### Description

Defines the name of the IcePack node. All nodes using the same registry must have unique names; a node refuses to start if there is a node with the same name running already.

| The default value is the hostname as returned by `gethostname()`.

## IcePack.Node.Data

### Synopsis

    IcePack.Node.Data=path

### Description

Defines the path of the IcePack node data directory. The node creates `db` and `servers` subirectories in this directory if they do not already exist. The `db` directory contains the node database. The `servers` directory contains configuration data for each deployed server.

## IcePack.Node.Output

### Synopsis

    IcePack.Node.Output=path

### Description

Defines the path of the IcePack node output directory. If set, the node redirects the `stdout` and `stderr` output of the started servers to files named `server`.out and `server`.err in this directory. Otherwise, the started servers share the `stdout` and `stderr` of the IcePack node.

## IcePack.Node.PropertiesOverride

### Synopsis

    IcePack.Node.PropertiesOverride=overrides

### Description

Defines a list of properties which override the properties defined in server deployment descriptors. For example, in some cases it is desirable to set the property `Ice.Default.Host` for servers, but not in server deployment descriptors. The property definitions should be separated by white space.

## IcePack.Node.RedirectErrToOut

### Synopsis

    IcePack.Node.RedirectErrToOut=num

### Description

If `num` is set to a value larger than zero, the `stderr` of each started server is redirected to the server's `stdout`.

## IcePack.Node.WaitTime

### Synopsis

    IcePack.Node.WaitTime=num

### Description

Defines the interval in seconds that IcePack waits for server activation and deactivation.

If a server is automatically activated and does not register its object adapter endpoints within this time interval, the node assumes there is a problem with the server and return an emtpy set of endpoints to the client.

If a server is being gracefully deactivated and IcePack does not detect the server deactivation during this time interval, IcePack kills the server.

| The default value is 60 seconds.

## IcePack.Node.CollocateRegistry

### Synopsis

    IcePack.Node.CollocateRegistry=num

### Description

If `num` is set to a value larger than zero, the node collocates the IcePack registry.

| The collocated registry is configured with the same properties as the standalone IcePack registry.

## IcePack.Node.PrintServersReady

### Synopsis

    IcePack.Node.PrintServersReady=token

### Description

The IcePack node prints "`token` ready" on standard output after all the servers managed by the node are ready. This is useful for scripts that wish to wait until all servers are ready to be used.

## IcePack.Node.ThreadPool.Size

### Synopsis

    IcePack.Node.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IcePack.Node`.

## IcePack.Node.ThreadPool.SizeMax

### Synopsis

    IcePack.Node.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IcePack.Node`.

## IcePack.Node.ThreadPool.SizeWarn

### Synopsis

    IcePack.Node.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IcePack.Node`.

## IcePack.Node.Trace.Server

### Synopsis

    IcePack.Node.Trace.Server=num

### Description

The server trace level:

0 | No server trace. (default)
1 | Trace server addition, removal.
2 | Like 1, but more verbose, including server activation and deactivation and more diagnostic messages.
3 | Like 2, but more verbose, including server transitional state change (activating and deactivating).

## IcePack.Node.Trace.Adapter

### Synopsis

    IcePack.Node.Trace.Adapter=num

### Description

The object adapter trace level:

0 | No object adapter trace. (default)
1 | Trace object adapter addition, removal.
2 | Like 1, but more verbose, including object adapter activation and deactivation and more diagnostic messages.
3 | Like 2, but more verbose, including object adapter transitional state change (e.g., `waiting for activation').

## IcePack.Node.Trace.Activator

### Synopsis

    IcePack.Node.Trace.Activator=num

### Description

The activator trace level:

0 | No activator trace. (default)
1 | Trace process activation, termination.
2 | Like 1, but more verbose, including process signaling and more diagnostic messages on process activation.
3 | Like 2, but more verbose, including more diagnostic messages on process activation (e.g., path, working directory and arguments of the activated process).

<<< Previous | Home | Next >>>
IceBox Properties | Up | IceStorm Properties